/* 
   Copyright (C) 1999 Free Software Foundation, Inc.

This file is part of Nilo.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

#ifndef __NET_H__
#define __NET_H__

/* This is generated by running configure */
#include "niloconfig.h"

/* Define the basic data types */
#include <sys/types.h>

/* Define the PXE types */
#include "pxe_types.h"

/* Define the internal Nilo data structures */
#include "nilo.h"

/* Define the internal DHCP data structures */
#include "dhcp.h"

#include <oskit/dev/ethernet.h>
#include <netinet/in.h>
#include <arpa/inet.h>

/* This is the internal structure passed by the push routine */
struct etherdev {
    oskit_etherdev_t	*dev;
    oskit_netio_t	*send_nio;
    oskit_netio_t	*recv_nio;
    oskit_devinfo_t	info;
    unsigned char	haddr[OSKIT_ETHERDEV_ADDR_SIZE];
    struct in_addr myip;	/* My IP address in host order. */
};

/* FIXME: why doesn't this prototype work ? */
// extern int
// send_request(client_data_t *client, dhcp_t *pkt, int32_t size,
// int32_t retry, int32_t maxtimeout);

extern int send_request();
extern int send_tftp_request();

//send_request(client_data_t *client, dhcp_t *pkt, int32_t size, 
//                  int32_t retry, int32_t timeout);

int32_t bootp_currticks(void);

#endif /* __NET_H__ */


